REM call of this file generates one stimuli file with the given settings.
REM The start file is not this, it is stimSelection.jz.cmd, Note: Invocation is from ../Simulink as currdir

java -cp ../exe/zbnf.jar org.vishia.jztxtcmd.JZtxtcmd ../Stimuli/stimSelection.jz.cmd %1 %2 %3 %4 %5 %6
exit /B

##This is the template file for the generated stimuli.m file. 
##The template starts after <:> in sub stimuliMat(Obj data) {
##This is called as inner subroutine for the script generation.


==JZtxtcmd==
##This subtext will be called with one line proper to testcase
##data is of type Map<String, String>
##Use the identifier in the first line of the table to access the data.
##                 
sub stimuliMat(Obj data) {
<:>
%Stimuli file matlab.m und times, knnen durcheinander sein.

%===Common Settings===
identSimulation = '<&data.Identifier>';
timeSignalFilepath = fullfile(currdir,'<&fileStimuli_m>')   %the path from simulink currdir.


%===Parametrierung ber sub-m-Files===


%===Parametrierung direkt ===

xyz = 34.0;

%===Aufruf setzen von Werten mit Inspector===
%Der Aufruf luft im eignen Thread und wartet auf Start der Simulation:
%disp('Inspector-call:');
%Note: Ist als callback eingetragen weil sonst 2 mal gestartet und das 2. mal findet er keinen Socket.
%system('start XRPDC\simulink\+Test_IA_UTT2\+genStimuli\stimuli_inspc.jz.bat');

disp(identSimulation);

%===Initial values===                                    

%time:0: timeSignals.sref = 0.0, timeSignals.signal1 = 0;                                

%==static test vector complex==

%time:1.0: timeSignals.vector= 1.0 1.1 1.2 1.3 1.4 1.5, timeSignals.complex = 1.2 -0.8;
%time:2.0: timeSignals.vector=> 2.0 2.1 2.2 2.3 2.4 2.5, timeSignals.complex => 1.5 -0.2;
%time:0: timeSignals.complexvector = 1 0.5 2 0.6 3 0.7;


%===Test===


%time:0.4 <&data.spline>: timeSignals.sref => 0.0, timeSignals.signal1 = 20;                                
%time:<&data.t1><&data.spline>: timeSignals.sref <&data.val1>;                                
%time:<&data.t2><&data.spline>: timeSignals.sref <&data.val2>;                                
%time:<&data.t3><&data.spline>: timeSignals.sref <&data.val3>;                                
<.>

Num tend = data.t3;  ##converts String to Num to execute numeric 
tend = tend +1;      ##1 second later: reaches exact end point with ramp
<:>

%==End point==
%time:<&tend>: timeSignals.sref <&data.val3>;                                


<.>
}
