
%Matlab m-file to build the mex64 dll library in debug mode

rootPath = evalin('base', 'rootPath');
display(rootPath);
clear mex;
currdir_ = pwd;
cd(rootPath);
socketlib = { fullfile(matlabroot,'sys\lcc64\lcc64\lib64\ws2_32.lib')} 
socketlibcopy = strjoin(['copy ', socketlib, ' ..\\mexDbg\*']);
system(socketlibcopy); %%copy the socket lib to a local position.

clear mex;  %unload mex64 dll
system('mkdir ..\\mexDbg');

  system('mkdir ..\\mexDbg\tlc_c');
  system('copy "lib\\+genSfn\\Inspc\*.tlc" "..\\mexDbg\tlc_c\*.tlc"');


disp('mex values_TimeSignals_Inspc_SfH.c to ../mexDbg'); 
 
  disp('-I../../emc');
 
  disp('-I../../emc');
 
  disp('-I../../emc/source');
 
  disp('-I../../emc/incApplSpecific/stdef_SmlkSfuncExcH');
 
  disp('-I../../emc/incComplSpecific/cc_SmlkSfunc_64bit');



mex -g COMPFLAGS='$COMPFLAGS -TP -EHa' -outdir ../mexDbg/ ...
      -I../../emc ...
      -I../../emc ...
      -I../../emc/source ...
      -I../../emc/incApplSpecific/stdef_SmlkSfuncExcH ...
      -I../../emc/incComplSpecific/cc_SmlkSfunc_64bit ...
    lib/+genSfn/Inspc/values_TimeSignals_Inspc_SfH.c ...
      ../../emc/source/Inspc/TimeSignals_Inspc.c ...
      ../../emc/source/Inspc/DataNode_Inspc.c ...
      ../../emc/source/emC/MemC_emC.c ...
      ../../emc/source/emC/SimpleC_emC.c ...
      ../../emc/source/emC/String_emC.c ...
      ../../emc/source/emC/StringBase_emC.c ...
      ../../emc/source/emC/StringBuilder_emC.c ...
      ../../emc/source/emC/Object_emC.c ...
      ../../emc/source/emC/Reflection_emC.c ...
      ../../emc/source/emC/ReflectionBaseTypes_emC.c ...
      ../../emc/source/emC/Formatter_emC.c ...
      ../../emc/source/emC/timeconversions_emC.c ...
      ../../emc/source/emC/handle_ptr64_emC.c ...
      ../../emc/source/emC/Memfree_ThreadAndBlockHeap.c ...
      ../../emc/sourceApplSpecific/applConv/Exception_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ExceptionPrintStacktrace_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ApplSimpleStop_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ThreadContextMultiThreading_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ObjectJc_allocStartup_emC.c ...
      ../../emc/sourceApplSpecific/applConv/UmlContainer_Dummy.c ...
      ../../emc/sourceApplSpecific/applConv/RemoteCpu_Dummy.c ...
      ../../emc/source/Jc/ObjectJc.c ...
      ../../emc/source/Jc/StringJc.c ...
      ../../emc/source/Jc/StringBufferJc.c ...
      ../../emc/source/J1c/StringFunctionsJc.c ...
      ../../emc/source/J1c/StringFunctions_CJc.c ...
      ../../emc/source/Jc/ReflectionJc.c ...
      ../../emc/source/Jc/ReflectionBaseTypesJc.c ...
      ../../emc/source/Jc/ReflMemAccessJc.c ...
      ../../emc/source/Jc/FileIoJc.c ...
      ../../emc/source/Jc/LocaleJc.c ...
      ../../emc/source/refl/Reflection_OSAL.c ...
      ../../emc/source/OSAL/os_common.c ...
      ../../emc/sourceSpecials/os_Windows_64/os_atomic.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mem.c ...
      ../../emc/sourceSpecials/osal_Windows_Msc15/os_file.c ...
      ../../emc/sourceSpecials/osal_Windows/os_time.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mutex.c ...
      ../../emc/sourceSpecials/osal_Windows/os_thread.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sharedmem.c ...

disp('mex bits_TimeSignals_Inspc_SfH.c to ../mexDbg'); 
 
  disp('-I../../emc');
 
  disp('-I../../emc');
 
  disp('-I../../emc/source');
 
  disp('-I../../emc/incApplSpecific/stdef_SmlkSfuncExcH');
 
  disp('-I../../emc/incComplSpecific/cc_SmlkSfunc_64bit');



mex -g COMPFLAGS='$COMPFLAGS -TP -EHa' -outdir ../mexDbg/ ...
      -I../../emc ...
      -I../../emc ...
      -I../../emc/source ...
      -I../../emc/incApplSpecific/stdef_SmlkSfuncExcH ...
      -I../../emc/incComplSpecific/cc_SmlkSfunc_64bit ...
    lib/+genSfn/Inspc/bits_TimeSignals_Inspc_SfH.c ...
      ../../emc/source/Inspc/TimeSignals_Inspc.c ...
      ../../emc/source/Inspc/DataNode_Inspc.c ...
      ../../emc/source/emC/MemC_emC.c ...
      ../../emc/source/emC/SimpleC_emC.c ...
      ../../emc/source/emC/String_emC.c ...
      ../../emc/source/emC/StringBase_emC.c ...
      ../../emc/source/emC/StringBuilder_emC.c ...
      ../../emc/source/emC/Object_emC.c ...
      ../../emc/source/emC/Reflection_emC.c ...
      ../../emc/source/emC/ReflectionBaseTypes_emC.c ...
      ../../emc/source/emC/Formatter_emC.c ...
      ../../emc/source/emC/timeconversions_emC.c ...
      ../../emc/source/emC/handle_ptr64_emC.c ...
      ../../emc/source/emC/Memfree_ThreadAndBlockHeap.c ...
      ../../emc/sourceApplSpecific/applConv/Exception_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ExceptionPrintStacktrace_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ApplSimpleStop_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ThreadContextMultiThreading_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ObjectJc_allocStartup_emC.c ...
      ../../emc/sourceApplSpecific/applConv/UmlContainer_Dummy.c ...
      ../../emc/sourceApplSpecific/applConv/RemoteCpu_Dummy.c ...
      ../../emc/source/Jc/ObjectJc.c ...
      ../../emc/source/Jc/StringJc.c ...
      ../../emc/source/Jc/StringBufferJc.c ...
      ../../emc/source/J1c/StringFunctionsJc.c ...
      ../../emc/source/J1c/StringFunctions_CJc.c ...
      ../../emc/source/Jc/ReflectionJc.c ...
      ../../emc/source/Jc/ReflectionBaseTypesJc.c ...
      ../../emc/source/Jc/ReflMemAccessJc.c ...
      ../../emc/source/Jc/FileIoJc.c ...
      ../../emc/source/Jc/LocaleJc.c ...
      ../../emc/source/refl/Reflection_OSAL.c ...
      ../../emc/source/OSAL/os_common.c ...
      ../../emc/sourceSpecials/os_Windows_64/os_atomic.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mem.c ...
      ../../emc/sourceSpecials/osal_Windows_Msc15/os_file.c ...
      ../../emc/sourceSpecials/osal_Windows/os_time.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mutex.c ...
      ../../emc/sourceSpecials/osal_Windows/os_thread.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sharedmem.c ...

disp('mex step_Service_Inspc_SfH.c to ../mexDbg'); 
 
  disp('-I../../emc');
 
  disp('-I../../emc');
 
  disp('-I../../emc/source');
 
  disp('-I../../emc/incApplSpecific/stdef_SmlkSfuncExcH');
 
  disp('-I../../emc/incComplSpecific/cc_SmlkSfunc_64bit');



mex -g COMPFLAGS='$COMPFLAGS -TP -EHa' -outdir ../mexDbg/ ...
      -I../../emc ...
      -I../../emc ...
      -I../../emc/source ...
      -I../../emc/incApplSpecific/stdef_SmlkSfuncExcH ...
      -I../../emc/incComplSpecific/cc_SmlkSfunc_64bit ...
        -llib/mex/ws2_32 ...
    lib/+genSfn/Inspc/step_Service_Inspc_SfH.c ...
      ../../emc/source/Inspc/Service_Inspc.c ...
      ../../emc/source/Inspc/DataNode_Inspc.c ...
      ../../emc/source/InspcJ2c/AnswerComm_ifc_Inspc.c ...
      ../../emc/source/InspcJ2c/ClassContent_Inspc.c ...
      ../../emc/source/InspcJ2c/CmdConsumer_ifc_Inspc.c ...
      ../../emc/source/InspcJ2c/CmdExecuter_Inspc.c ...
      ../../emc/source/InspcJ2c/Comm_Inspc.c ...
      ../../emc/source/InspcJ2c/InspcDataExchangeAccess_Inspc.c ...
      ../../emc/source/InspcJ2c/InspcDataInfo_Inspc.c ...
      ../../emc/source/InspcJ2c/Inspector_Inspc.c ...
      ../../emc/source/InspcJ2c/SearchElement_Inspc.c ...
      ../../emc/source/Ipc/InterProcessCommSocket.c ...
      ../../emc/source/Ipc2c/InterProcessCommFactorySocket_Ipc.c ...
      ../../emc/source/Ipc/InterProcessComm.c ...
      ../../emc/source/J1c/ByteDataAccessBaseJc.c ...
      ../../emc/source/emC/MemC_emC.c ...
      ../../emc/source/emC/SimpleC_emC.c ...
      ../../emc/source/emC/String_emC.c ...
      ../../emc/source/emC/StringBase_emC.c ...
      ../../emc/source/emC/StringBuilder_emC.c ...
      ../../emc/source/emC/Object_emC.c ...
      ../../emc/source/emC/Time_emC.c ...
      ../../emc/source/emC/Reflection_emC.c ...
      ../../emc/source/emC/ReflectionBaseTypes_emC.c ...
      ../../emc/source/emC/Formatter_emC.c ...
      ../../emc/source/emC/timeconversions_emC.c ...
      ../../emc/source/emC/handle_ptr64_emC.c ...
      ../../emc/source/emC/Memfree_ThreadAndBlockHeap.c ...
      ../../emc/sourceApplSpecific/applConv/Exception_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ExceptionPrintStacktrace_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ApplSimpleStop_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ThreadContextMultiThreading_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ObjectJc_allocStartup_emC.c ...
      ../../emc/sourceApplSpecific/applConv/UmlContainer_Dummy.c ...
      ../../emc/sourceApplSpecific/applConv/RemoteCpu_Dummy.c ...
      ../../emc/source/Jc/ObjectJc.c ...
      ../../emc/source/Jc/AssertJc.c ...
      ../../emc/source/Jc/OsWrapperJc.c ...
      ../../emc/source/Jc/ThreadJc.c ...
      ../../emc/source/Jc/MathJc.c ...
      ../../emc/source/Jc/CharsetJc.c ...
      ../../emc/source/Jc/ArraysJc.c ...
      ../../emc/source/Jc/SystemJc.c ...
      ../../emc/source/Jc/SystemOutJc.c ...
      ../../emc/source/Jc/StringJc.c ...
      ../../emc/source/Jc/StringValueConvJc.c ...
      ../../emc/source/Jc/StringBufferJc.c ...
      ../../emc/source/Jc/PrintStreamJc.c ...
      ../../emc/source/J1c/StringFunctionsJc.c ...
      ../../emc/source/J1c/StringFunctions_CJc.c ...
      ../../emc/source/Jc/ReflectionJc.c ...
      ../../emc/source/Jc/ReflectionBaseTypesJc.c ...
      ../../emc/source/Jc/ReflMemAccessJc.c ...
      ../../emc/source/Jc/FileIoJc.c ...
      ../../emc/source/Jc/LocaleJc.c ...
      ../../emc/source/refl/Reflection_OSAL.c ...
      ../../emc/source/OSAL/os_common.c ...
      ../../emc/sourceSpecials/os_Windows_64/os_atomic.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mem.c ...
      ../../emc/sourceSpecials/osal_Windows/os_time.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mutex.c ...
      ../../emc/sourceSpecials/osal_Windows/os_thread.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sharedmem.c ...
      ../../emc/sourceSpecials/osal_Windows_Msc15/os_file.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sync.c ...
      ../../emc/sourceSpecials/osal_Windows/os_socket.c ...
      ../../emc/sourceApplSpecific/applConv/os_endian_x86.c ...

disp('mex create_DataNode_Inspc_SfH.c to ../mexDbg'); 
 
  disp('-I../../emc');
 
  disp('-I../../emc');
 
  disp('-I../../emc/source');
 
  disp('-I../../emc/incApplSpecific/stdef_SmlkSfuncExcH');
 
  disp('-I../../emc/incComplSpecific/cc_SmlkSfunc_64bit');



mex -g COMPFLAGS='$COMPFLAGS -TP -EHa' -outdir ../mexDbg/ ...
      -I../../emc ...
      -I../../emc ...
      -I../../emc/source ...
      -I../../emc/incApplSpecific/stdef_SmlkSfuncExcH ...
      -I../../emc/incComplSpecific/cc_SmlkSfunc_64bit ...
    lib/+genSfn/Inspc/create_DataNode_Inspc_SfH.c ...
      ../../emc/source/Inspc/DataNode_Inspc.c ...
      ../../emc/source/emC/MemC_emC.c ...
      ../../emc/source/emC/SimpleC_emC.c ...
      ../../emc/source/emC/String_emC.c ...
      ../../emc/source/emC/StringBase_emC.c ...
      ../../emc/source/emC/StringBuilder_emC.c ...
      ../../emc/source/emC/Object_emC.c ...
      ../../emc/source/emC/Reflection_emC.c ...
      ../../emc/source/emC/ReflectionBaseTypes_emC.c ...
      ../../emc/source/emC/Formatter_emC.c ...
      ../../emc/source/emC/timeconversions_emC.c ...
      ../../emc/source/emC/handle_ptr64_emC.c ...
      ../../emc/source/emC/Memfree_ThreadAndBlockHeap.c ...
      ../../emc/sourceApplSpecific/applConv/Exception_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ExceptionPrintStacktrace_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ApplSimpleStop_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ThreadContextMultiThreading_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ObjectJc_allocStartup_emC.c ...
      ../../emc/sourceApplSpecific/applConv/UmlContainer_Dummy.c ...
      ../../emc/sourceApplSpecific/applConv/RemoteCpu_Dummy.c ...
      ../../emc/source/Jc/ObjectJc.c ...
      ../../emc/source/Jc/StringJc.c ...
      ../../emc/source/Jc/StringBufferJc.c ...
      ../../emc/source/J1c/StringFunctionsJc.c ...
      ../../emc/source/J1c/StringFunctions_CJc.c ...
      ../../emc/source/Jc/ReflectionJc.c ...
      ../../emc/source/Jc/ReflectionBaseTypesJc.c ...
      ../../emc/source/Jc/ReflMemAccessJc.c ...
      ../../emc/source/Jc/FileIoJc.c ...
      ../../emc/source/Jc/LocaleJc.c ...
      ../../emc/source/refl/Reflection_OSAL.c ...
      ../../emc/source/OSAL/os_common.c ...
      ../../emc/sourceSpecials/os_Windows_64/os_atomic.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mem.c ...
      ../../emc/sourceSpecials/osal_Windows_Msc15/os_file.c ...
      ../../emc/sourceSpecials/osal_Windows/os_time.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mutex.c ...
      ../../emc/sourceSpecials/osal_Windows/os_thread.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sharedmem.c ...

disp('mex addObj_DataNode_Inspc_SfH.c to ../mexDbg'); 
 
  disp('-I../../emc');
 
  disp('-I../../emc');
 
  disp('-I../../emc/source');
 
  disp('-I../../emc/incApplSpecific/stdef_SmlkSfuncExcH');
 
  disp('-I../../emc/incComplSpecific/cc_SmlkSfunc_64bit');



mex -g COMPFLAGS='$COMPFLAGS -TP -EHa' -outdir ../mexDbg/ ...
      -I../../emc ...
      -I../../emc ...
      -I../../emc/source ...
      -I../../emc/incApplSpecific/stdef_SmlkSfuncExcH ...
      -I../../emc/incComplSpecific/cc_SmlkSfunc_64bit ...
    lib/+genSfn/Inspc/addObj_DataNode_Inspc_SfH.c ...
      ../../emc/source/Inspc/DataNode_Inspc.c ...
      ../../emc/source/emC/MemC_emC.c ...
      ../../emc/source/emC/SimpleC_emC.c ...
      ../../emc/source/emC/String_emC.c ...
      ../../emc/source/emC/StringBase_emC.c ...
      ../../emc/source/emC/StringBuilder_emC.c ...
      ../../emc/source/emC/Object_emC.c ...
      ../../emc/source/emC/Reflection_emC.c ...
      ../../emc/source/emC/ReflectionBaseTypes_emC.c ...
      ../../emc/source/emC/Formatter_emC.c ...
      ../../emc/source/emC/timeconversions_emC.c ...
      ../../emc/source/emC/handle_ptr64_emC.c ...
      ../../emc/source/emC/Memfree_ThreadAndBlockHeap.c ...
      ../../emc/sourceApplSpecific/applConv/Exception_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ExceptionPrintStacktrace_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ApplSimpleStop_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ThreadContextMultiThreading_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ObjectJc_allocStartup_emC.c ...
      ../../emc/sourceApplSpecific/applConv/UmlContainer_Dummy.c ...
      ../../emc/sourceApplSpecific/applConv/RemoteCpu_Dummy.c ...
      ../../emc/source/Jc/ObjectJc.c ...
      ../../emc/source/Jc/StringJc.c ...
      ../../emc/source/Jc/StringBufferJc.c ...
      ../../emc/source/J1c/StringFunctionsJc.c ...
      ../../emc/source/J1c/StringFunctions_CJc.c ...
      ../../emc/source/Jc/ReflectionJc.c ...
      ../../emc/source/Jc/ReflectionBaseTypesJc.c ...
      ../../emc/source/Jc/ReflMemAccessJc.c ...
      ../../emc/source/Jc/FileIoJc.c ...
      ../../emc/source/Jc/LocaleJc.c ...
      ../../emc/source/refl/Reflection_OSAL.c ...
      ../../emc/source/OSAL/os_common.c ...
      ../../emc/sourceSpecials/os_Windows_64/os_atomic.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mem.c ...
      ../../emc/sourceSpecials/osal_Windows_Msc15/os_file.c ...
      ../../emc/sourceSpecials/osal_Windows/os_time.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mutex.c ...
      ../../emc/sourceSpecials/osal_Windows/os_thread.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sharedmem.c ...

disp('mex add_DataNode_Inspc_SfH.c to ../mexDbg'); 
 
  disp('-I../../emc');
 
  disp('-I../../emc');
 
  disp('-I../../emc/source');
 
  disp('-I../../emc/incApplSpecific/stdef_SmlkSfuncExcH');
 
  disp('-I../../emc/incComplSpecific/cc_SmlkSfunc_64bit');



mex -g COMPFLAGS='$COMPFLAGS -TP -EHa' -outdir ../mexDbg/ ...
      -I../../emc ...
      -I../../emc ...
      -I../../emc/source ...
      -I../../emc/incApplSpecific/stdef_SmlkSfuncExcH ...
      -I../../emc/incComplSpecific/cc_SmlkSfunc_64bit ...
    lib/+genSfn/Inspc/add_DataNode_Inspc_SfH.c ...
      ../../emc/source/Inspc/DataNode_Inspc.c ...
      ../../emc/source/emC/MemC_emC.c ...
      ../../emc/source/emC/SimpleC_emC.c ...
      ../../emc/source/emC/String_emC.c ...
      ../../emc/source/emC/StringBase_emC.c ...
      ../../emc/source/emC/StringBuilder_emC.c ...
      ../../emc/source/emC/Object_emC.c ...
      ../../emc/source/emC/Reflection_emC.c ...
      ../../emc/source/emC/ReflectionBaseTypes_emC.c ...
      ../../emc/source/emC/Formatter_emC.c ...
      ../../emc/source/emC/timeconversions_emC.c ...
      ../../emc/source/emC/handle_ptr64_emC.c ...
      ../../emc/source/emC/Memfree_ThreadAndBlockHeap.c ...
      ../../emc/sourceApplSpecific/applConv/Exception_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ExceptionPrintStacktrace_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ApplSimpleStop_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ThreadContextMultiThreading_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ObjectJc_allocStartup_emC.c ...
      ../../emc/sourceApplSpecific/applConv/UmlContainer_Dummy.c ...
      ../../emc/sourceApplSpecific/applConv/RemoteCpu_Dummy.c ...
      ../../emc/source/Jc/ObjectJc.c ...
      ../../emc/source/Jc/StringJc.c ...
      ../../emc/source/Jc/StringBufferJc.c ...
      ../../emc/source/J1c/StringFunctionsJc.c ...
      ../../emc/source/J1c/StringFunctions_CJc.c ...
      ../../emc/source/Jc/ReflectionJc.c ...
      ../../emc/source/Jc/ReflectionBaseTypesJc.c ...
      ../../emc/source/Jc/ReflMemAccessJc.c ...
      ../../emc/source/Jc/FileIoJc.c ...
      ../../emc/source/Jc/LocaleJc.c ...
      ../../emc/source/refl/Reflection_OSAL.c ...
      ../../emc/source/OSAL/os_common.c ...
      ../../emc/sourceSpecials/os_Windows_64/os_atomic.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mem.c ...
      ../../emc/sourceSpecials/osal_Windows_Msc15/os_file.c ...
      ../../emc/sourceSpecials/osal_Windows/os_time.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mutex.c ...
      ../../emc/sourceSpecials/osal_Windows/os_thread.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sharedmem.c ...

disp('mex get_GetValue_Inspc_SfH.c to ../mexDbg'); 
 
  disp('-I../../emc');
 
  disp('-I../../emc');
 
  disp('-I../../emc/source');
 
  disp('-I../../emc/incApplSpecific/stdef_SmlkSfuncExcH');
 
  disp('-I../../emc/incComplSpecific/cc_SmlkSfunc_64bit');



mex -g COMPFLAGS='$COMPFLAGS -TP -EHa' -outdir ../mexDbg/ ...
      -I../../emc ...
      -I../../emc ...
      -I../../emc/source ...
      -I../../emc/incApplSpecific/stdef_SmlkSfuncExcH ...
      -I../../emc/incComplSpecific/cc_SmlkSfunc_64bit ...
    lib/+genSfn/Inspc/get_GetValue_Inspc_SfH.c ...
      ../../emc/source/Inspc/GetValue_Inspc.c ...
      ../../emc/source/InspcJ2c/SearchElement_Inspc.c ...
      ../../emc/source/emC/MemC_emC.c ...
      ../../emc/source/emC/SimpleC_emC.c ...
      ../../emc/source/emC/String_emC.c ...
      ../../emc/source/emC/StringBase_emC.c ...
      ../../emc/source/emC/StringBuilder_emC.c ...
      ../../emc/source/emC/Object_emC.c ...
      ../../emc/source/emC/Reflection_emC.c ...
      ../../emc/source/emC/ReflectionBaseTypes_emC.c ...
      ../../emc/source/emC/Formatter_emC.c ...
      ../../emc/source/emC/timeconversions_emC.c ...
      ../../emc/source/emC/handle_ptr64_emC.c ...
      ../../emc/source/emC/Memfree_ThreadAndBlockHeap.c ...
      ../../emc/sourceApplSpecific/applConv/Exception_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ExceptionPrintStacktrace_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ApplSimpleStop_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ThreadContextMultiThreading_emC.c ...
      ../../emc/sourceApplSpecific/applConv/ObjectJc_allocStartup_emC.c ...
      ../../emc/sourceApplSpecific/applConv/UmlContainer_Dummy.c ...
      ../../emc/sourceApplSpecific/applConv/RemoteCpu_Dummy.c ...
      ../../emc/source/Jc/ReflectionJc.c ...
      ../../emc/source/Jc/ReflectionBaseTypesJc.c ...
      ../../emc/source/Jc/ReflMemAccessJc.c ...
      ../../emc/source/Jc/ObjectJc.c ...
      ../../emc/source/Jc/AssertJc.c ...
      ../../emc/source/Jc/LocaleJc.c ...
      ../../emc/source/Jc/OsWrapperJc.c ...
      ../../emc/source/Jc/ThreadJc.c ...
      ../../emc/source/Jc/MathJc.c ...
      ../../emc/source/Jc/CharsetJc.c ...
      ../../emc/source/Jc/ArraysJc.c ...
      ../../emc/source/Jc/SystemJc.c ...
      ../../emc/source/Jc/SystemOutJc.c ...
      ../../emc/source/Jc/StringJc.c ...
      ../../emc/source/Jc/StringBufferJc.c ...
      ../../emc/source/Jc/StringValueConvJc.c ...
      ../../emc/source/Jc/PrintStreamJc.c ...
      ../../emc/source/J1c/StringFunctions_CJc.c ...
      ../../emc/source/refl/Reflection_OSAL.c ...
      ../../emc/source/OSAL/os_common.c ...
      ../../emc/sourceSpecials/os_Windows_64/os_atomic.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mem.c ...
      ../../emc/sourceSpecials/osal_Windows/os_time.c ...
      ../../emc/sourceSpecials/osal_Windows/os_mutex.c ...
      ../../emc/sourceSpecials/osal_Windows/os_thread.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sharedmem.c ...
      ../../emc/sourceSpecials/osal_Windows_Msc15/os_file.c ...
      ../../emc/sourceSpecials/osal_Windows/os_sync.c ...
      ../../emc/sourceApplSpecific/applConv/os_endian_x86.c ...